%define debug_package %{nil}

Summary: 	ABI checking tool
Name: 		abicheck
Version: 	1.2
Release: 	3.1
License: 	LGPL
Group: 		Applications/File
URL: 		http://abicheck.sourceforge.net/
Source0: 	http://dl.sf.net/abicheck/%{name}-%{version}.tar.gz
Source1:	abicheck.dbfile.FORTIFY_SOURCE
Patch0:		abicheck-1.2-fc3.patch
Patch1:		abicheck-1.2-test-static.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	binutils perl


%description
abicheck is a tool that checks application binary executables and
shared libraries for conformance to the (or an) ABI (Application
Binary Interface).


%prep
%setup -q
%patch -p1 -b .fc3
%patch1 -p1 -b .test-static
sed -i -e 's!/usr/lib/!%{_libdir}/!g' test/Makefile


%build
make
make test


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0755 abicheck $RPM_BUILD_ROOT%{_bindir}
install -p -m 0644 abicheck.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 %{SOURCE1} dbfile.FORTIFY_SOURCE


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog INTRO README
%doc dbfile.FORTIFY_SOURCE
%{_bindir}/abicheck
%{_mandir}/man1/abicheck.1*


%changelog
* Thu Aug 11 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2-3.1
- Add an override file in %%doc which can be specified with
  option -O to modify the symbol classification for binaries
  built with _FORTIFY_SOURCE.

* Mon May  9 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- Disable debuginfo package.

* Thu Apr 14 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- Replace /usr/lib/ with %%_libdir/ in %%prep.

* Mon Dec 13 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2-3
- Add patch to catch up with changes in ldd output.
- Fix static linking test.
- Drop Epoch 0.

* Wed Aug 27 2003 Dams <anvil[AT]livna.org> 0:1.2-0.fdr.2
- Added missing Requires

* Wed Aug 27 2003 Dams <anvil[AT]livna.org> 0:1.2-0.fdr.1
- Updated to 1.2
- Dropped patch (applied upstream)

* Sat Aug 23 2003 Dams <anvil[AT]livna.org> 0:1.1-0.fdr.2
- Aplied patch from Michael Schwendt (bug #605 comment #1)

* Sat Aug 16 2003 Dams <anvil[AT]livna.org> 
- Initial build.
